Package org.eclipse.emf.cdo.server

# Class ContainmentCycleDetectedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.eclipse.emf.cdo.server.ContainmentCycleDetectedException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class ContainmentCycleDetectedException extends IllegalStateException
Deprecated.
As of 4.2 no longer used in the server; replaced by `ContainmentCycleException` in the client.
An unchecked exception that can thrown from a commit operation that is based on stale information about the tree structure of the model and would introduce a containment cycle.

This situation results from a network race condition and can not be prevented by write locks on the changed objects. The committing client must `rollback` the transaction , replay the original changes and try to `commit` again.

Since:
  4.0
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ContainmentCycleDetectedException()`
Deprecated.
`ContainmentCycleDetectedException(String s)`
Deprecated.
`ContainmentCycleDetectedException(String message, Throwable cause)`
Deprecated.
`ContainmentCycleDetectedException(Throwable cause)`
Deprecated.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContainmentCycleDetectedException

@Deprecated public ContainmentCycleDetectedException()
Deprecated.

### ContainmentCycleDetectedException

@Deprecated public ContainmentCycleDetectedException(String message, Throwable cause)
Deprecated.

### ContainmentCycleDetectedException

@Deprecated public ContainmentCycleDetectedException(String s)
Deprecated.

### ContainmentCycleDetectedException

@Deprecated public ContainmentCycleDetectedException(Throwable cause)
Deprecated.